<div class="wrapper">
  <div class="wrapped-div">
    <div class="tab-header">
      <h2 routerLink='/user/login' routerLinkActive='active'>Sign In</h2>
      <h2 routerLink='/user/registration' routerLinkActive='active'>Sign Up</h2>
    </div>
    <div class="row">
      <div class="col-md-10 offset-md-1">
        <img src="/assets/img/single_user.png" class="mx-auto d-block">
        <form [formGroup]="service.formModel" autocomplete="off" (submit)="onSubmit()">
          <div class="form-group required">
            <label>Username</label>
            <input class="form-control" formControlName="UserName">
            <label class="text-danger" *ngIf="service.formModel.get('UserName')?.touched && service.formModel.get('UserName')?.errors?.required">This
              field is mandatory.</label>
          </div>
          <div class="form-group">
            <label>Email</label>
            <input class="form-control" formControlName="Email">
            <label class="text-danger" *ngIf="service.formModel.get('Email')?.touched && service.formModel.get('Email')?.errors?.email">Invalid
              email address.</label>
          </div>
          <div class="form-group">
            <label>Full Name</label>
            <input class="form-control" formControlName="FullName">
          </div>
          <div formGroupName="Passwords">
            <div class="form-group required">
              <label>Password</label>
              <input type="password" class="form-control" formControlName="Password">
              <label class="text-danger" *ngIf="service.formModel.get('Passwords.Password')?.touched && service.formModel.get('Passwords.Password')?.errors?.required">This
                field is mandatory.</label>
              <label class="text-danger" *ngIf="service.formModel.get('Passwords.Password')?.touched && service.formModel.get('Passwords.Password')?.errors?.minlength">Minimum
                4 characters required.</label>
            </div>
            <div class="form-group required">
              <label>Confirm Password</label>
              <input type="password" class="form-control" formControlName="ConfirmPassword">
              <label class="text-danger" *ngIf="service.formModel.get('Passwords.ConfirmPassword')?.touched && service.formModel.get('Passwords.ConfirmPassword')?.errors?.required">This
                field is mandatory.</label>
              <label class="text-danger" *ngIf="service.formModel.get('Passwords.ConfirmPassword')?.touched && service.formModel.get('Passwords.ConfirmPassword')?.errors?.passwordMismatch">Confirm
                Password does not match.</label>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-8 offset-md-2">
              <button type="submit" class="btn btn-lg btn-block" [disabled]="!service.formModel.valid">Sign Up</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>